Subject: Bug report : git-status manual fibs about semantics of --porcelain

From: Mark Jason Dominus <[email-masked]>
Date: Thu, 19 May 2011 14:01:12 -0400

The 1.7.5.1 manual says:

     --porcelain::
    	Give the output in a stable, easy-to-parse format for scripts.
    	Currently this is identical to --short output, but is guaranteed
    	not to change in the future, making it safe for scripts.

However, this is not actually true.  --porcelain differs from --short
in at least two ways, one of them significant.  

--short is colorized when color.status = auto, while --porcelain is
not.

More importantly, --short reports file paths relative to the
current directory, while --porcelain reports file paths relative to
the root of the repository.

All of this was the case in 1.7.0.4 also, and presumably the versions
in between.

Mark Jason Dominus 	  			                 [email-masked]